@model GameShop.ViewModels.RegisterViewModel

@{
    ViewData["Title"] = "Register";
    Layout = "_Main";
}

<div class="col-md-8 col-xl-4 offset-md-2 offset-xl-4">
    <div class="loginform">
        @if (!ViewContext.ModelState.IsValid)
        {
            <div class="col-lg-12 alert alert-error">
                <div class="alert-title">
                    <i class="fas fa-ban"></i>Whoops!
                </div>
            <div asp-validation-summary="All"></div>
            </div> 
        }
        <form asp-action="Register">
            <label>Email</label>
            <input type="text" asp-for="Email"/>
            <label>Password</label>
            <input type="password" asp-for="Password"/>
            <label>Repeat Password</label>
            <input type="password"/>
            <label>Firstname</label>
            <input type="text" asp-for="Firstname"/>
            <label>Lastname</label>
            <input type="text" asp-for="Lastname"/>
            <input type="submit" value="Register"/>
        </form>
    </div>


</div>

